<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net10.0-ios</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>true</ImplicitUsings>
    <IsBindingProject>true</IsBindingProject>

    <!--
      Enable trim analyzers for class libraries.
      To learn more, see: https://learn.microsoft.com/dotnet/core/deploying/trimming/prepare-libraries-for-trimming
    -->
    <IsTrimmable>true</IsTrimmable>
  </PropertyGroup>
  <ItemGroup>
    <AtlasTexture Remove="NfcLockFramework\**" />
    <Compile Remove="NfcLockFramework\**" />
    <CoreMLModel Remove="NfcLockFramework\**" />
    <EmbeddedResource Remove="NfcLockFramework\**" />
    <ImageAsset Remove="NfcLockFramework\**" />
    <InterfaceDefinition Remove="NfcLockFramework\**" />
    <Metal Remove="NfcLockFramework\**" />
    <None Remove="NfcLockFramework\**" />
    <SceneKitAsset Remove="NfcLockFramework\**" />
  </ItemGroup>

  <ItemGroup>
    <ObjcBindingApiDefinition Include="ApiDefinition.cs" />
    <ObjcBindingCoreSource Include="StructsAndEnums.cs" />
  </ItemGroup>

  <!--<ItemGroup>
  <XcodeProject Include="NfcLockFramework/NfcLockFramework.xcodeproj">
    <SchemeName>NfcLockFramework</SchemeName>
    <Frameworks>CoreNFC </Frameworks>
     Metadata applicable to @(NativeReference) will be used if set, otherwise the following defaults will be used:
    <Kind>Framework</Kind>
    <SmartLink>true</SmartLink>
   
    </XcodeProject>
  </ItemGroup> -->

  <ItemGroup>
    <NativeReference Include="NfcLockFramework.xcframework">
      <Frameworks>CoreNFC NFCSDK</Frameworks>
      <Kind>Framework</Kind>
      <SmartLink>True</SmartLink>
      <ForceLoad>False</ForceLoad>
    </NativeReference>
  </ItemGroup>

  <!--<ItemGroup Condition="$(TargetFramework.Contains('-ios'))">
    <NativeReference Include="NFCSDK.framework">
      <Kind>Framework</Kind>
      <SmartLink>False</SmartLink>
      <Frameworks>CoreNFC Foundation</Frameworks>
    </NativeReference>
  </ItemGroup> -->

  <ItemGroup Condition="$(TargetFramework.Contains('-ios'))">
    <NativeReference Include="shared_nfc_kmp.xcframework">
      <Kind>Framework</Kind>
      <SmartLink>True</SmartLink>
      <Frameworks>CoreNFC NFCSDK</Frameworks>
      <ForceLoad>False</ForceLoad>
    </NativeReference>
  </ItemGroup>
</Project>
